# Uses of Interface
org.eclipse.ui.console.IPatternMatchListener

Packages that use IPatternMatchListener
Package
Description
org.eclipse.debug.ui.console
Provides a set of interfaces and classes for rendering and annotating text in the debug console.
org.eclipse.ui.console
Application programming interfaces for interaction with the Eclipse console.

## Uses of IPatternMatchListener in org.eclipse.debug.ui.console

Methods in org.eclipse.debug.ui.console with parameters of type IPatternMatchListener
Modifier and Type
Method
Description
`void`
IConsole.`addPatternMatchListener(IPatternMatchListener matchListener)`
Adds the given pattern match listener to this console.
`void`
IConsole.`removePatternMatchListener(IPatternMatchListener matchListener)`
Removes the given pattern match listener from this console.

## Uses of IPatternMatchListener in org.eclipse.ui.console

Methods in org.eclipse.ui.console that return IPatternMatchListener
Modifier and Type
Method
Description
`IPatternMatchListener[]`
IConsoleManager.`createPatternMatchListeners(IConsole console)`
Creates and returns a collection of new pattern match listeners enabled for the given console.
Methods in org.eclipse.ui.console with parameters of type IPatternMatchListener
Modifier and Type
Method
Description
`void`
TextConsole.`addPatternMatchListener(IPatternMatchListener listener)`
Adds the given pattern match listener to this console.
`void`
TextConsole.`removePatternMatchListener(IPatternMatchListener listener)`
Removes the given pattern match listener from this console.